# Copyright (c) 2006-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define _cvs			cvs20070510
%define _cvs_build		0
%if %suse_version < 1120
%define python_sitelib	%py_sitedir
%define python_sitearch	%py_sitedir
%endif

Name:			lash
Summary:		Audio Session Handler
#Release:		1.pm.%{_cvs}
Version:		0.5.4
Release:		2.17
License:		GPL
Group:			Productivity/Multimedia/Sound/Utilities
Source:			%{name}-%{version}.tar.gz
Patch0:			lash-gcc44.patch
Patch1:			lash-implicit-fortify-decl.patch
URL:			http://www.nongnu.org/lash
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	alsa-devel
BuildRequires:	jack-devel >= 0.103
BuildRequires:	e2fsprogs-devel
BuildRequires:	pkgconfig >= 0.9
BuildRequires:	gtk2-devel
BuildRequires:	libuuid-devel
BuildRequires:	libxml2-devel
BuildRequires:	python-devel
BuildRequires:	readline-devel
BuildRequires:	swig
BuildRequires:	texinfo
BuildRequires:	update-desktop-files
Requires:		alsa
Requires:		jack >= 0.103
Requires:		%{name}-libs = %{version}
#Requires:		libxml2
Requires:		readline

%description
This is a daemon, a client library and a some clients that implement
a session management system for audio applications on GNU/Linux.

%package -n liblash1
Summary:	Shared libraries for LASH system
Group:		System/Libraries
%ifnarch x86_64
Provides:	liblash.so.2
%else
Provides:	liblash.so.2()(64bit)
%endif
Provides:	lash-libs = 0.5.4
Obsoletes:	lash-libs < 0.5.4

%description -n liblash1
This package contains the shared libraries for LASH system.

%package devel
Summary:	Include Files and Libraries mandatory for Development
Group:		Development/Libraries/C and C++
Requires:	alsa-devel
Requires:	e2fsprogs-devel
Requires:	glibc-devel
Requires:	libjack-devel
Requires:	liblash1 = %{version}
Requires:	libuuid-devel
Requires:	readline-devel
Provides:	liblash-devel = %{version}

%description devel
This package contains all necessary include files and libraries
needed to develop applications that require these.

%package -n python-lash
Summary:	Python bindings for LASH
Group:		Development/Languages/Python
Requires:	%{name} = %{version}
Requires:	python >= %{py_ver}

%description -n python-lash
Python bindings for LASH.

Author: Nedko Arnaudov <nedko@arnaudov.name>

%debug_package

%prep
#%setup -q -n %{name}
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

#./autogen.sh
# adjust swig-version
%__sed -i -e 's|required=1.3.31|required=1.3.24|g' \
	configure
%{?suse_update_config:%{suse_update_config -f}}

%build
%configure \
	--enable-alsa-midi
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

# create a link to liblash.so.2 otherwise recompile ALL packmanpages with lash :(
pushd %{buildroot}%{_libdir} 
	ln -s liblash.so.1 liblash.so.2
	ln -s liblash.so.1 liblash.so.2.0.0
popd

# icon and menu-entry
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644  icons/lash_48px.png \
	%{buildroot}%{_datadir}/pixmaps/%{name}.png

%__cat > %{name}_panel.desktop << EOF
[Desktop Entry]
Name=lash_panel
GenericName=lash_panel
Comment=LASH panel
Exec=%{name}_panel
Icon=%{name}
Terminal=false
Type=Application
#Encoding=UTF-8
#Categories=AudioVideo;Music;
EOF
%suse_update_desktop_file -i %{name}_panel AudioVideo Music

%__cat > %{name}_synth.desktop << EOF
[Desktop Entry]
GenericName=lash_synth
Name=lash_synth
Comment=LASH synth
Exec=%{name}_synth
Icon=%{name}
Terminal=false
Type=Application
#Encoding=UTF-8
#Categories=AudioVideo;Music;
EOF
%suse_update_desktop_file -i %{name}_synth AudioVideo Music

%__rm -f docs/lash-manual-html-split/Makefile*

%__rm -f %{buildroot}%{python_sitelib}/_lash.la
%__rm -f %{buildroot}%{python_sitelib}/_lash.a
%__chmod 644 %{buildroot}%{python_sitelib}/lash.py
%__rm %{buildroot}%{_libdir}/lib*.la

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%post -n liblash1 -p /sbin/ldconfig

%postun -n liblash1 -p /sbin/ldconfig

%post
if ! grep -q ^lash /etc/services ; then
	echo -e "\nlash\t\t14541/tcp\t\t\t# LASH client/server protocol" >> /etc/services;
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog* NEWS README* TODO
%{_bindir}/lash_control
%{_bindir}/lash_panel
%{_bindir}/lash_save_button
%{_bindir}/lash_simple_client
%{_bindir}/lash_synth
%{_bindir}/lashd
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}*.desktop

%files -n liblash1
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog* NEWS README*
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc docs/lash-manual-html-one-page/*.html
%doc docs/api-proposal.html
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%dir %{_includedir}/%{name}-1.0
%dir %{_includedir}/%{name}-1.0/%{name}
%{_includedir}/%{name}-1.0/%{name}/*.h
%{_libdir}/pkgconfig/*.pc

%files -n python-lash
%defattr(-,root,root)
%doc pylash/test.py
%{python_sitelib}/_lash.so
%{python_sitelib}/lash.py


%changelog
* Sat Nov 17 2007 Toni Graffy <toni@links2linux.de> - 0.5.4-0.pm.1
- update to 0.5.4
* Wed Sep 25 2007 Toni Graffy <toni@links2linux.de> - 0.5.3-0.pm.2
- readded  lib*.la
* Thu May 10 2007 Toni Graffy <toni@links2linux.de> - 0.5.3-0.pm.1
- update to 0.5.3
- removed lash-runlevel-script
- added sub-package python-lash (obsoletes: pylash)
* Wed Oct 18 2006 Toni Graffy <toni@links2linux.de> - 0.5.2-0.pm.2
- fixed Provides: for x86_64
* Wed Oct 11 2006 Toni Graffy <toni@links2linux.de> - 0.5.2-0.pm.1
- update to 0.5.2
- removed lash-info-stuff
* Sat Oct 07 2006 Toni Graffy <toni@links2linux.de> - 0.5.1-2.pm.cvs20061005
- update to 0.5.1-cvs20061005
* Fri Sep 29 2006 Toni Graffy <toni@links2linux.de> - 0.5.1-1.pm.cvs20060929
- update to 0.5.1-cvs20060929
* Tue Sep 19 2006 Toni Graffy <toni@links2linux.de> - 0.5.1-1.pm.cvs20060910
- build for packman
* Sun Sep 10 2006 - oc2pus@arcor.de 0.5.1-1.oc2pus.cvs20060910
- update to 0.5.1-cvs20060910
- added subpackage lash-libs
* Thu Sep 07 2006 - oc2pus@arcor.de 0.5.1-1.oc2pus.cvs20060907
- update to 0.5.1-cvs20060907
* Tue May 30 2006 - oc2pus@arcor.de 0.5.1-1.oc2pus.cvs20060530
- update to 0.5.1-cvs20060530
* Wed May 24 2006 - oc2pus@arcor.de 0.5.1-1.oc2pus.cvs20060524
- update to 0.5.1-cvs20060524
- added texinfo and e2fsprogs-devel to BuildRequires
* Mon May 22 2006 - oc2pus@arcor.de 0.5.1-1.oc2pus.cvs20060522
- update to 0.5.1-cvs20060522
- added ALSA_CFLAGS, ALSA_LIBS in configure-call
* Wed Mar 29 2006 - oc2pus@arcor.de 0.5.1-0.oc2pus.1
- update to 0.5.1
- added /etc/service entry
* Thu Nov 17 2005 - oc2pus@arcor.de 0.5.0-0.oc2pus.2
- rebuild for SuSE-10
* Thu Sep 22 2005 - oc2pus@arcor.de 0.5.0-0.oc2pus.1
- initial version: 0.5.0

